Name: wcslib
Version: 4.3.1
Release: 2%{?dist}
Summary: An implementation of the FITS World Coordinate System standard

Group: Development/Libraries
# Library is under LGPLv3+ utils under GPLv3+
License: LGPLv3+
URL: http://www.atnf.csiro.au/people/mcalabre/WCS/
Source0: ftp://ftp.atnf.csiro.au/pub/software/wcslib/%{name}-%{version}.tar.gz
Patch0: wcslib-lm.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: cfitsio-devel zlib-devel

%description
WCSLIB is a library that implements the "World Coordinate System" (WCS) 
convention in FITS (Flexible Image Transport System)

%package devel
Summary: Libraries, includes, etc. used to develop an application with %{name}
Group: Development/Libraries
License: LGPLv3+
Requires: wcslib = %{version}-%{release}
%description devel
These are the files needed to develop an application using %{name}.

%package utils
Summary: Utility progrmas provided by %{name}
Group: Development/Libraries
License: GPLv3+
Requires: wcslib = %{version}-%{release}
%description utils
Utils provided with %{name}

%prep
%setup -q 
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_libdir}
mkdir -p %{buildroot}/%{_includedir}/wcslib
install -m 755 utils/fitshdr %{buildroot}/%{_bindir}
install -m 755 utils/HPXcvt %{buildroot}/%{_bindir}
install -m 644 wcsconfig.h %{buildroot}/%{_includedir}/wcslib
install -m 644 C/*.h %{buildroot}/%{_includedir}/wcslib
install -m 755 C/libwcs.so.4.3 %{buildroot}/%{_libdir}
ln -s libwcs.so.4.3 %{buildroot}/%{_libdir}/libwcs.so.4
ln -s libwcs.so.4.3 %{buildroot}/%{_libdir}/libwcs.so

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING.LESSER README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_includedir}/wcslib

%files utils
%defattr(-,root,root,-)
%doc COPYING 
%{_bindir}/*

%changelog
* Mon Mar 16 2009 Sergio Pascual <sergiopr at fedoraproject.org> 4.3.1-2
- Added patch to link explicitly with libmath.
- Removed duplicate licenses.

* Sat Feb 14 2009 Sergio Pascual <sergiopr at fedoraproject.org> 4.3.1-1
- First version.
